BEGIN DVAMPJAH




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("JaheiraResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~What I become! It's you who let me live! I am a Harper and vampire? I better kill myself! I hate you!~
   ++ ~Jaheira, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Jaheira, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Jaheira, I am now your master and will command you.~ + briefing2
   ++ ~Then die, if you want to die!~ + briefing3f
END

IF ~~ briefingNV1a
  SAY ~You love me? You are necrophile! I hate you and I hate myself!~
 ++ ~Calm down, Jaheira! I love you in any form. We will get through this.~ + briefingNV1c
  ++ ~I command you to join my party and obey me.~ + briefing2
     ++ ~Then die, if you want to die!~ + briefing3f
END


IF ~~ briefingNV1b
  SAY ~You are necrophile! I hate myself and I hate you! Harpers must kill us both!~
  ++ ~I command you to join my party and obey me.~ + briefing2
     ++ ~Then die, if you want to die!~ + briefing3f
END

  IF ~~ briefingNV1c
  SAY ~You - maybe. If I will not kill you now!~
   IF ~~ THEN DO ~~ GOTO briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("JaheiraResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~What I become! It's you who let me live! I am a Harper and vampire? I better kill myself! I hate you!~
   ++ ~Jaheira, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Jaheira, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Jaheira, I am now your master and will command you.~ + briefing2
   ++ ~Then die, if you want to die!~ + briefing3f
END




IF ~~ briefing2
  SAY ~Yes, master... I will... pray that someone will kill me...~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("JaheiraResurrected","GLOBAL",2)
  DestroyItem("MISCBN")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~For the Harpers!~
  IF ~~ THEN DO ~SetGlobal("JaheiraResurrected","GLOBAL",2)
    SetGlobal("JaheiraLeft","GLOBAL",1)
Enemy()
~ EXIT
END


IF ~~ briefing3fb
  SAY ~Die, scum!~
  IF ~~ THEN DO ~SetGlobal("JaheiraResurrected","GLOBAL",2)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~You release me? Then prepare to die, scum!~
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Are you not finally dead, bitch?~ 
 ++ ~Come with me, Jaheira, I need you.~ + notparty1
 ++ ~Stay here, Jaheira, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Are you not finally dead, bastard?~ 
 ++ ~Come with me, Jaheira, I need you.~ + notparty1
 ++ ~Stay here, Jaheira, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Are you not finally dead, bitch?~ 
 ++ ~Come with me, Jaheira, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Jaheira, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~!Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Are you not finally dead, bastard?~ 
 ++ ~Come with me, Jaheira, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Jaheira, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END



IF ~~ notparty1
  SAY ~I better be dead!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~I will go there... Hope you will die!~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~I hate you!~ 
 ++ ~Are you hungry? You can suck my blood, Jaheira.~ + suckblood
 ++ ~Tell me your story, Jaheira.~ + talkJaheiraM
 ++ ~No, nothing right now, Jaheira.~ + byesilent
  ++ ~I decided to end your life, Jaheira.~ + briefing3fb
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~I hate you!~ 
 ++ ~Are you hungry? You can suck my blood, Jaheira.~ + suckblood
 ++ ~Tell me your story, Jaheira.~ + talkJaheiraF
 ++ ~No, nothing right now, Jaheira.~ + byesilent
  ++ ~I decided to end your life, Jaheira.~ + briefing3fb
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~I hate you!~ + suckblood
 ++ ~Make me a vampire, Jaheira.~ + vampconvm
 ++ ~Tell me your story, Jaheira.~ + talkJaheiraM
 ++ ~No, nothing right now, Jaheira. Sorry.~ + byesilent
   ++ ~I decided to end your life, Jaheira.~ + briefing3fb
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~I hate you!~ + suckblood
 ++ ~Make me a vampire, Jaheira.~ + vampconvf 
 ++ ~Tell me your story, Jaheira.~ +   talkJaheiraM
 ++ ~No, nothing right now, Jaheira. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life, Jaheira.~ + briefing3fb
END

IF ~~ byesilent
SAY ~Scum...~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkJaheiraM
  SAY ~You must know only one thing - I hate you and I want us both to die!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkJaheiraF
  SAY ~You must know only one thing - I hate you and I want us both to die!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood
  SAY ~I will not do this disgusting thing!~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckbloodNo
  SAY ~(Jaheira falls in pain and dies in few seconds. Your blood is a poison for her.)~
  IF ~~ THEN DO ~Kill(Myself)~ EXIT
END


IF ~~ vampconvm
  SAY ~(Jaheira embraces you and gets close to your neck.)~
  IF ~~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Jaheira embraces you and gets close to your neck.)~
  IF ~~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths start to tear apart your flesh. You try to defend, but Jaheira holds you like stone. Your last moments of life are in agony and fear.)~
IF ~~ THEN DO ~Kill(Player1)~ EXIT 
END

